Package org.eclipse.birt.chart.model.attribute

# Interface PatternImage

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Fill`, `IChartObject`, `Image`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `PatternImageImpl`

public interface PatternImage extends Image
A representation of the model object 'Pattern Image'. This type represents the pattern image.

The following features are supported:

- `Bitmap`
- `Fore Color`
- `Back Color`

See Also:
  - `AttributePackage.getPatternImage()`

## Method Summary

Modifier and Type
Method
Description
`PatternImage`
`copyInstance()`
`ColorDefinition`
`getBackColor()`
Returns the value of the 'Back Color' containment reference.
`long`
`getBitmap()`
Returns the value of the 'Bitmap' attribute.
`ColorDefinition`
`getForeColor()`
Returns the value of the 'Fore Color' containment reference.
`boolean`
`isSetBitmap()`
Returns whether the value of the '`Bitmap`' attribute is set.
`void`
`setBackColor(ColorDefinition value)`
Sets the value of the '`Back Color`' containment reference.
`void`
`setBitmap(long value)`
Sets the value of the '`Bitmap`' attribute.
`void`
`setForeColor(ColorDefinition value)`
Sets the value of the '`Fore Color`' containment reference.
`void`
`unsetBitmap()`
Unsets the value of the '`Bitmap`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Fill

`getType, isSetType, setType, unsetType`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Image

`getSource, getURL, isSetSource, setSource, setURL, unsetSource`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getBitmap

long getBitmap()
Returns the value of the 'Bitmap' attribute. The 8x8 bitmap.

Returns:
  the value of the 'Bitmap' attribute.
See Also:
  - `isSetBitmap()`
  - `unsetBitmap()`
  - `setBitmap(long)`
  - `AttributePackage.getPatternImage_Bitmap()`

### setBitmap

void setBitmap(long value)
Sets the value of the '`Bitmap`' attribute.

Parameters:
  `value` - the new value of the 'Bitmap' attribute.
See Also:
  - `isSetBitmap()`
  - `unsetBitmap()`
  - `getBitmap()`

### unsetBitmap

void unsetBitmap()
Unsets the value of the '`Bitmap`' attribute.

See Also:
  - `isSetBitmap()`
  - `getBitmap()`
  - `setBitmap(long)`

### isSetBitmap

boolean isSetBitmap()
Returns whether the value of the '`Bitmap`' attribute is set.

Returns:
  whether the value of the 'Bitmap' attribute is set.
See Also:
  - `unsetBitmap()`
  - `getBitmap()`
  - `setBitmap(long)`

### getForeColor

ColorDefinition getForeColor()
Returns the value of the 'Fore Color' containment reference. The foreground color.

Returns:
  the value of the 'Fore Color' containment reference.
See Also:
  - `setForeColor(ColorDefinition)`
  - `AttributePackage.getPatternImage_ForeColor()`

### setForeColor

void setForeColor(ColorDefinition value)
Sets the value of the '`Fore Color`' containment reference.

Parameters:
  `value` - the new value of the 'Fore Color' containment reference.
See Also:
  - `getForeColor()`

### getBackColor

ColorDefinition getBackColor()
Returns the value of the 'Back Color' containment reference. The background color.

Returns:
  the value of the 'Back Color' containment reference.
See Also:
  - `setBackColor(ColorDefinition)`
  - `AttributePackage.getPatternImage_BackColor()`

### setBackColor

void setBackColor(ColorDefinition value)
Sets the value of the '`Back Color`' containment reference.

Parameters:
  `value` - the new value of the 'Back Color' containment reference.
See Also:
  - `getBackColor()`

### copyInstance

PatternImage copyInstance()

Specified by:
  `copyInstance` in interface `Fill`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Image`